Bug 1017628 - Review Request: solr3 - Apache Solr
Summary: Review Request: solr3 - Apache Solr
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1016622 1017645
TreeView+ depends on / blocked
 
Reported: 2013-10-10 09:04 UTC by Marek Goldmann
Modified: 2013-10-17 12:47 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-10-17 12:47:04 UTC
sochotni: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2013-10-10 09:04:12 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/solr/1/solr.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/solr/1/solr-3.6.2-1.fc19.src.rpm
Fedora Account System Username: goldmann

Description:

Solr is the popular, blazing fast open source enterprise search platform from
the Apache LuceneTM project. Its major features include powerful full-text
search, hit highlighting, faceted search, near real-time indexing, dynamic
clustering, database integration, rich document (e.g., Word, PDF) handling, and
geospatial search. Solr is highly reliable, scalable and fault tolerant,
providing distributed indexing, replication and load-balanced querying,
automated failover and recovery, centralized configuration and more. Solr
powers the search and navigation features of many of the world's largest
internet sites.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6045774

Comment 3 Stanislav Ochotnicky 2013-10-16 12:30:40 UTC
Going to do the review

Comment 4 Marek Goldmann 2013-10-16 13:39:36 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/solr3/4/solr3.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/solr3/4/solr3-3.6.2-4.fc19.src.rpm

Changes:

- Now using pom macros to do the changes
- Slim down the src distribution

Comment 5 Stanislav Ochotnicky 2013-10-16 14:28:42 UTC
Package Review
==============

Issues:
 - Dist tag is present (not strictly required in GL).
    forgotten '?' in macro
 - Latest version is packaged.
    This is a compat package so it's expected
 - Package uses upstream build method (ant/maven/etc.)
    Upstream probably doesn't use Maven, in this case this seems to work
 - Final provides and requires are sane (see attachments)
    provides for pom artifacts should be versioned as well I believe. Otherwise
    we could have multiple packages providing same artifact even though one is
    compat and other is not

    For example:
        mvn(org.apache.solr:solr-contrib)

    should be in my opinion
        mvn(org.apache.solr:solr-contrib:3)

    I won't block review on this, it's just something that needs to be fixed
    (most likely on XMvn/javapackages-tools side)

Basically the only issue is dist tag/non-versioned provide for pom artifacts but that's not blocker. Since you are already repacking the tarball it might be nicer to run find class/jar && rm routine there instead of prep (smaller tarball, easier audit etc).

APPROVED

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: solr3-3.6.2-4.fc21.noarch.rpm
          solr3-javadoc-3.6.2-4.fc21.noarch.rpm
          solr3-3.6.2-4.fc21.src.rpm
solr3.noarch: W: spelling-error %description -l en_US Solr -> Sol, Sol r, Sole
solr3.noarch: W: spelling-error %description -l en_US geospatial -> spatial
solr3.noarch: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
solr3.noarch: W: spelling-error %description -l en_US failover -> fail over, fail-over, spillover
solr3-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
solr3.src: W: spelling-error %description -l en_US Solr -> Sol, Sol r, Sole
solr3.src: W: spelling-error %description -l en_US geospatial -> spatial
solr3.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
solr3.src: W: spelling-error %description -l en_US failover -> fail over, fail-over, spillover
solr3.src: W: invalid-url Source0: apache-solr-3.6.2.tar.gz
3 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint solr3-javadoc solr3
solr3-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
solr3.noarch: W: spelling-error %description -l en_US Solr -> Sol, Sol r, Sole
solr3.noarch: W: spelling-error %description -l en_US geospatial -> spatial
solr3.noarch: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
solr3.noarch: W: spelling-error %description -l en_US failover -> fail over, fail-over, spillover
2 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
solr3-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

solr3 (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(com.google.guava:guava)
    mvn(commons-codec:commons-codec)
    mvn(commons-fileupload:commons-fileupload)
    mvn(commons-httpclient:commons-httpclient)
    mvn(commons-io:commons-io)
    mvn(commons-lang:commons-lang)
    mvn(javax.servlet:servlet-api)
    mvn(org.apache.httpcomponents:httpclient)
    mvn(org.apache.httpcomponents:httpmime)
    mvn(org.apache.lucene:lucene-analyzers)
    mvn(org.apache.lucene:lucene-core)
    mvn(org.apache.lucene:lucene-grouping)
    mvn(org.apache.lucene:lucene-highlighter)
    mvn(org.apache.lucene:lucene-icu)
    mvn(org.apache.lucene:lucene-kuromoji)
    mvn(org.apache.lucene:lucene-memory)
    mvn(org.apache.lucene:lucene-misc)
    mvn(org.apache.lucene:lucene-phonetic)
    mvn(org.apache.lucene:lucene-queries)
    mvn(org.apache.lucene:lucene-smartcn)
    mvn(org.apache.lucene:lucene-spatial)
    mvn(org.apache.lucene:lucene-spellchecker)
    mvn(org.apache.lucene:lucene-stempel)
    mvn(org.apache.solr:solr-core:3.6.2)
    mvn(org.apache.solr:solr-solrj:3.6.2)
    mvn(org.codehaus.woodstox:woodstox-core-asl)
    mvn(org.slf4j:jcl-over-slf4j)
    mvn(org.slf4j:slf4j-api)



Provides
--------
solr3-javadoc:
    solr3-javadoc

solr3:
    mvn(org.apache.solr:solr-analysis-extras:3)
    mvn(org.apache.solr:solr-analysis-extras:3.6.2)
    mvn(org.apache.solr:solr-contrib)
    mvn(org.apache.solr:solr-contrib:pom:3)
    mvn(org.apache.solr:solr-contrib:pom:3.6.2)
    mvn(org.apache.solr:solr-core:3)
    mvn(org.apache.solr:solr-core:3.6.2)
    mvn(org.apache.solr:solr-parent)
    mvn(org.apache.solr:solr-parent:pom:3)
    mvn(org.apache.solr:solr-parent:pom:3.6.2)
    mvn(org.apache.solr:solr-solrj:3)
    mvn(org.apache.solr:solr-solrj:3.6.2)
    osgi(org.apache.solr.analysis-extras)
    osgi(org.apache.solr.core)
    osgi(org.apache.solr.solrj)
    solr3



Source checksums
----------------
https://repository.jboss.org/nexus/service/local/repositories/central/content/org/apache/solr/solr-analysis-extras/3.6.2/solr-analysis-extras-3.6.2.pom :
  CHECKSUM(SHA256) this package     : 7bea640a428b3bbbed7ddfcbbb3fbdfcd51b71b1ab331add7cf3d3872c66ce52
  CHECKSUM(SHA256) upstream package : 7bea640a428b3bbbed7ddfcbbb3fbdfcd51b71b1ab331add7cf3d3872c66ce52
https://repository.jboss.org/nexus/service/local/repositories/central/content/org/apache/solr/solr-parent/3.6.2/solr-parent-3.6.2.pom :
  CHECKSUM(SHA256) this package     : 0d1ea68de27be77ae65d7ad398b84ffe66dc6320fe094de1ecc7cee1cfd53e2a
  CHECKSUM(SHA256) upstream package : 0d1ea68de27be77ae65d7ad398b84ffe66dc6320fe094de1ecc7cee1cfd53e2a
https://repository.jboss.org/nexus/service/local/repositories/central/content/org/apache/solr/solr-core/3.6.2/solr-core-3.6.2.pom :
  CHECKSUM(SHA256) this package     : 61de06e7c04708928d2f45c7465f6d253363663ceeb339c52606173e81619035
  CHECKSUM(SHA256) upstream package : 61de06e7c04708928d2f45c7465f6d253363663ceeb339c52606173e81619035
https://repository.jboss.org/nexus/service/local/repositories/central/content/org/apache/lucene/lucene-solr-grandparent/3.6.2/lucene-solr-grandparent-3.6.2.pom :
  CHECKSUM(SHA256) this package     : a865ba71c4c5f05523054232de97e962cb6f25f67d98b38799973640668e74de
  CHECKSUM(SHA256) upstream package : a865ba71c4c5f05523054232de97e962cb6f25f67d98b38799973640668e74de
https://repository.jboss.org/nexus/service/local/repositories/central/content/org/apache/solr/solr-solrj/3.6.2/solr-solrj-3.6.2.pom :
  CHECKSUM(SHA256) this package     : cc0bb3657d7b6844d9f44a6023349c9af35e9901df0a3d69bb555fd965f38996
  CHECKSUM(SHA256) upstream package : cc0bb3657d7b6844d9f44a6023349c9af35e9901df0a3d69bb555fd965f38996


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/bin/fedora-review -b 1017628
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 6 Marek Goldmann 2013-10-17 06:39:31 UTC
Thanks, I'll fix mentioned issues at the import time.

New Package SCM Request
=======================
Package Name: solr3
Short Description: Apache Solr
Owners: goldmann
Branches: f20

Comment 7 Gwyn Ciesla 2013-10-17 12:34:00 UTC
Git done (by process-git-requests).

Comment 8 Marek Goldmann 2013-10-17 12:47:04 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.